#include "mbed.h"
#include "PwmIn.h"

Serial pc(USBTX, USBRX);      

PwmOut out(PTA0);            
PwmIn  in(PTD1);            

int main()
{
    float pe,pw,ds;

    // set the PwmOut in seconds
    out.pulsewidth(2);
    out.period(4);

    while (true) {
        pe= in.period();
        pw= in.pulsewidth();
        ds= in.dutycycle();
        pc.printf("A period= %f, pulsewidth= %f, duty cycle= %f\n\r",pe, pw, ds);

        wait(1);
    }
}